@mixin makeBlackContainer($width, $background) {
	width: $width;
	margin: 10vh auto 10% auto;
	background: transparentize($background, 0.2);
	border-radius: 5px;
	padding: 20px;
}

* {
	margin: 0;
	padding: 0;
}

body {
	font-family: Verdana, Arial, sans-serif;
	background: #fff url('../img/background.jpg') no-repeat fixed center;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	background-size: 120%;
}

form {
	margin-bottom: 20px;
}

.form {
	@include makeBlackContainer(50%, #000);

	h1 {
		color: #fff;
		text-align: center;
		margin-bottom: 50px;
	}

	p {
		color: #fff;
		&.error {
			color: #cc1111;
		}
	}

	.field,
	#captcha {
		margin-bottom: 20px;
	}

	label {
		color: #fff;
	}

	.submit {
		&,
		&:visited,
		&:focus{
			border: 1px solid #fff;
			padding: 10px 13px;
			color: #fff;
			text-decoration: none;
			-webkit-border-radius: 1px;
			-moz-border-radius: 1px;
			border-radius: 1px;
			display: block;
			text-align: center;
			-webkit-transition: all 0.2s;
			-moz-transition: all 0.2s;
			-ms-transition: all 0.2s;
			-o-transition: all 0.2s;
			transition: all 0.2s;
			cursor: pointer;
		}

		&:hover,
		&:active {
			-webkit-transition: all 0.3s;
			-moz-transition: all 0.3s;
			-ms-transition: all 0.3s;
			-o-transition: all 0.3s;
			transition: all 0.3s;
			background: #fff;
			color: #000;
		}

		&::selection {
			background: none;
		}
	}

	.option {
		display: block;
		margin-bottom: 5px;
	}

	sup {
		color: #ff0000;
	}

	input:not([type="radio"]):not([type="checkbox"]),
	textarea,
	select {
		position: relative;
		display: block;
		width: 96%;
		outline: none;
		padding: 5px 8px;
		font-size: 14px;
		margin-top: 5px;
	}

	select {
		width: 98%;
	}

	textarea {
		height: 100px;
	}
}

.result {
	$table-color: #000;
	$container-bg: #eee;
	$color-white: #fff;
	@include makeBlackContainer(50%, #000);
	color: $color-white;
	transition: all 0.2s ease-in-out;

	.item {
		margin-bottom: 30px;
	}

	.collapse-container {
		background: $container-bg;
		border-radius: 0 0 5px 5px;
		display: none;
	}

	.collapse-button {
		color: $table-color;
		background: $container-bg;
		border-radius: 5px;
		padding: 10px 20px;
		cursor: pointer;
		height: 20px;
		p {
			width: 95%;
			margin-right: 0;
			float: left;
			&::selection {
				background: none;
			}
		}
		.collapse-icon {
			width: 5%;
			float: right;
			span {
				display: block;
				position: relative;
				background: #000;
				width: 5px;
				height: 20px;
				transition: all 0.2s ease-in-out;
				&::selection {
					background: none;
				}
				&:nth-child(1) {
					transform: rotate(135deg);
				}
				&:nth-child(2) {
					transform: rotate(-135deg);
					top: -20px;
					left: 11px;
				}
			}
		}
		&.open {
			border-radius: 5px 5px 0 0;
			.collapse-icon {
				span {
					&:nth-child(1) {
						transform: rotate(45deg);
					}
					&:nth-child(2) {
						transform: rotate(-45deg);
					}
				}
			}
		}
	}

	table {
		color: $table-color;
		width: 100%;
		border-collapse: collapse;

		tr:first-child {
			th {
				padding: 10px 20px;
				border-bottom: 1px solid $table-color;
				&:first-child {
					width: 10%;
					border-right: 1px solid $table-color;
				}
			}
		}
		tr:not(:first-child) {
			td {
				padding: 5px 7px;
				&:first-child {
					border-right: 1px solid $table-color;
					text-align: center;
					vertical-align: top;
				}
			}
			&:nth-child(odd) {
				background: transparentize(#000, 0.8 );
			}
		}
	}

	p {
		margin-bottom: 20px;
	}

	h1 {
		text-align: center;
		margin-bottom: 50px;
	}

	h3 {
		text-align: center;
		margin-bottom: 20px;
	}

	.chart {
		text {
			fill: #fff;
		}
	}
}